/* shape_codec.h */
/* This code was obtained from Lehigh University/Vector Vision, Inc.. 
It was originally developed by OKI. 
Dr. Hongqiao Sun/Weiping integrated it to the Lehigh/VVI software. 

The copyrights or credits should belong to the following people and companies:

Zhixiong Wu and Yoshihiro Ueda of OKI,
Hongqiao Sun of Vector Vision,
Weiping Li of Lehigh University,

Minor modifications was made by Shipeng Li to integrated it to Sarnoff's SOL
software.
*/
#ifndef _SHAPE_CODEC_H
#define _SHAPE_CODEC_H
#include <stdlib.h>

#ifdef __cplusplus
extern "C" {
#endif /* __cplusplus */


  /* shape/src/ShapeEnCoding.c */
int  	ShapeEnCoding (unsigned char *InShape, 
	    int object_width, int object_height,
	    int alphaTH, int change_CR_disable
	);

/* Merge ShapeBitStream into main bit stream */
void  MergeShapeBitstream();

/* shape/src/ShapeDeCoding.c */
int  	ShapeDeCoding (	unsigned char *OutShape,
	    int object_width, int object_height
	);

#ifdef __cplusplus
}
#endif /* __cplusplus  */ 

#endif /* _SHAPE_CODEC_H */


